<?php
	
	/*--------------------------------------------------------------
	# Modish - April 2008 (for Joomla 1.5)
	# Copyright (C) 2007-2008 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/

	// no direct access
	defined('_JEXEC') or die('Restricted access');
	// including base setup file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	// including menu generator file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>
	<jdoc:include type="head" />
	<?php 
    	// including template header files
	    include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
	?>
</head>
<body>
	<div id="wrap-1">
        <div id="wrap-2">
            <div id="topup">
                <jdoc:include type="module" name="breadcrumbs"/>
                
				<?php if($datatop) : ?>
                <span id="datatop"><?php echo JHTML::_('date', 'now' ) ?></span>
                <?php endif; ?>
            </div>
            
            <div id="topdown">
                <?php if($this->countModules('advert1')) : ?>
                <div id="w_login">
                	<jdoc:include type="modules" name="advert1" style="raw" />
                </div>
                <?php endif; ?>
                
				<?php if($this->countModules('advert2')) : ?>
                <div id="w_search">
                	<jdoc:include type="modules" name="advert2" style="raw" />
                </div>
                <?php endif; ?>
            </div>
            
            <div id="top"> 
                	<a id="logo<?php echo ($logo_as_image) ? '' : '_styled'; ?>" class="nounder" href="./">	
						<?php if($logo_as_image) : ?>
						<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/images/logo.png" alt="Logo" />
						<?php endif; ?>	
					</a>
            
                    <?php if($this->countModules('banner')) : ?>
                    <div id="banner">
                    	<jdoc:include type="modules" name="banner" style="raw" />
                    </div>
                    <?php endif; ?>
                    <!--top -->
            </div>
            
            <div id="page-1" class="clearfix">
                <div id="menu">
	                <div id="horiz-menu" class="nav">
                 		<?php echo $main_navigation; ?>
	                </div>
	                <!--menu -->
                </div>
                
                <div id="page-2" class="page951">
                	<div class="page-3">
                 		<?php if($this->countModules('header')) : ?>
                  		<div id="headertop">
                    		<jdoc:include type="modules" name="header" style="gavickpro" headerLevel="3" />
                      	</div>
                       	<?php endif; ?>
                        
				        <?php if($this->countModules('user1 or user2 or user3')) : ?>
	                    <div id="user_position-1">
                            <?php if($this->countModules('user1')) : ?>
                            <div class="users <?php echo $user_position_1; ?>">
                            	<jdoc:include type="modules" name="user1" style="gavickpro" headerLevel="3" />
                            </div>
                            <?php endif; ?>
                            
							<?php if($this->countModules('user2')) : ?>
                            <div class="users <?php echo $user_position_1; ?>">
                            	<jdoc:include type="modules" name="user2" style="gavickpro" headerLevel="3" />
                            </div>
                            <?php endif; ?>
                            
							<?php if($this->countModules('user3')) : ?>
                            <div class="users <?php echo $user_position_1; ?>">
                            	<jdoc:include type="modules" name="user3" style="gavickpro" headerLevel="3" />
                            </div>
                            <?php endif; ?>
	                    </div>
                    	<?php endif; ?>
                    	<!--page-3 -->
            		</div>
            
            		<div id="wrapcont" class="clearfix">
                            <div id="component" style="width:<?php echo $mainbody_width; ?>px;">
                                <?php if($this->countModules('top')) : ?>
                                <div class="us-stand">
                                	<jdoc:include type="modules" name="top" style="gavickpro" headerLevel="3" />
                                </div>
                                <?php endif; ?>
                                
								<?php if($this->countModules('user4 or user5')) : ?>
                                <div id="user_position-2">
                                    <?php if ($this->countModules('user4')) : ?>
                                    <div class="users <?php echo $user_position_2; ?>">
                                    	<jdoc:include type="modules" name="user4" style="gavickpro" headerLevel="3" />
                                    </div>
                                    <?php endif; ?>
                                    
									<?php if($this->countModules('user5')) : ?>
                                    <div class="users <?php echo $user_position_2; ?>">
                                    	<jdoc:include type="modules" name="user5" style="gavickpro" headerLevel="3" />
                                    </div>
                                    <?php endif; ?>
                                </div>
                                <?php endif; ?>
                            
   								<?php
									// show mainbody on all subpages but not on frontpage
									if (!$frontpage_i || $this->countModules('mainbody')) :
		 						?>
                                        
								<div id="mainbody">
									<jdoc:include type="message" />
									 
							 		<?php if($this->countModules('mainbody')) : ?>
		      							<jdoc:include type="modules" name="mainbody" style="gavickpro" />
		      						<?php else: ?>
		      							<jdoc:include type="component" />
				  					<?php endif; ?>
             					</div>
                  				
                  				<?php endif; ?>
                                
                                <?php if($this->countModules('user6 or user7')) : ?>
                                <div id="user_position-3">
	                                <?php if($this->countModules('user6')) : ?>
	                                <div class="users <?php echo $user_position_3; ?>">
                                 		<jdoc:include type="modules" name="user6" style="gavickpro" headerLevel="3" />
	                                </div>
	                                <?php endif; ?>
	                                
									<?php if($this->countModules('user7')) : ?>
	                                <div class="users <?php echo $user_position_3; ?>">
                                 		<jdoc:include type="modules" name="user7" style="gavickpro" headerLevel="3" />
	                                </div>
	                                <?php endif; ?>
                                </div>
                                <?php endif; ?>
                       			
							   	<?php if($this->countModules('bottom')) : ?>
                       			<div class="us-stand">
                       				<jdoc:include type="modules" name="bottom" style="gavickpro" headerLevel="3" />
                       			</div>
                       			<?php endif; ?>
                            </div>
                            
							<?php if($this->countModules('inset')) : ?>
                            <div id="inset" style="width:<?php echo $inset_width; ?>px;">
                            	<jdoc:include type="modules" name="inset" style="gavickpro" headerLevel="3" />
                            </div>
                            <?php endif; ?>
                            
							<?php if($this->countModules('right')) : ?>
                            <div id="right" style="width:<?php echo $column_width; ?>px;">
                            	<jdoc:include type="modules" name="right" style="gavickpro" headerLevel="3" />
                            </div>
                       		<?php endif; ?>
                	</div>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             
                	<!--page-2 -->
                </div>
                <!--page1 -->
            </div>
            <div id="footer_wrap" class="clearfix">
            	<div id="footer">
             		<?php include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); ?>
             	</div>
            </div>
            <!--wrap2 -->
        </div>
        <!--wrap1 -->
	</div>

	<?php 
		// including information alert for IE6
		if($this->params->get("ie6info", 1) == 1): 
	?>
	<!-- IE6 alert -->
	<!--[if IE 6]>
		<div id="ie6">
    		<?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
		</div>
	<![endif]-->
	<?php endif; ?>
	
	<jdoc:include type="modules" name="debug" />

</body>
</html>